kio Library: KIO::ChmodJob Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KIO::ChmodJob Class Reference

This job changes permissions on a list of files or directories, optionally in a recursive manner. More...

`#include <chmodjob.h>`

Inheritance diagram for KIO::ChmodJob:

[legend]
Collaboration diagram for KIO::ChmodJob:

[legend]
List of all members.

## Public Member Functions
| ChmodJob (const KFileItemList &lstItems, int permissions, int mask, int newOwner, int newGroup, bool recursive, bool showProgressInfo)
## Protected Slots
virtual void | slotResult (KIO::Job *job)
void | slotEntries (KIO::Job *, const KIO::UDSEntryList &)
void | processList ()
## Protected Member Functions
void | chmodNextFile ()
virtual void | virtual_hook (int id, void *data)

## Detailed Description

This job changes permissions on a list of files or directories, optionally in a recursive manner.

See also:
  KIO::chmod()

Definition at line 46 of file chmodjob.h.

## Constructor & Destructor Documentation

ChmodJob::ChmodJob | ( | const KFileItemList & | lstItems,
|  | int | permissions,
|  | int | mask,
|  | int | newOwner,
|  | int | newGroup,
|  | bool | recursive,
|  | bool | showProgressInfo
| ) |

| Create new ChmodJobs using the KIO::chmod() function. Definition at line 43 of file chmodjob.cpp. References QTimer::singleShot().

## Member Function Documentation

void ChmodJob::slotResult | ( | KIO::Job * | job | ) | `[protected, virtual, slot]`

  | Called whenever a subjob finishes. Default implementation checks for errors and propagates to parent job, then calls removeSubjob. Override if you don't want subjobs errors to be propagated. Parameters:
  | job | the subjob
See also: result() Reimplemented from KIO::Job. Definition at line 193 of file chmodjob.cpp. References KIO::Job::emitResult(), endl(), KIO::Job::error(), kdDebug(), QPtrList::remove(), and QPtrList::removeFirst().

The documentation for this class was generated from the following files:

- chmodjob.h
- chmodjob.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:25:53 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003